;NSIS Modern User Interface

;--------------------------------
;Include Modern UI

  !include "MUI2.nsh"

;--------------------------------
;General

  ;Name and file
  Name "RCSCERT"
  OutFile "RCSCERT.exe"

  ;Default installation folder
  InstallDir "C:\RCSDB\RCSCERT"

  ShowInstDetails "show"

;--------------------------------
;Interface Settings

  !define MUI_ABORTWARNING
  !define MUI_WELCOMEFINISHPAGE_BITMAP "HT.bmp"
  !define MUI_WELCOMEFINISHPAGE_BITMAP_NOSTRETCH

;--------------------------------
;Pages

  !insertmacro MUI_PAGE_WELCOME
  !insertmacro MUI_PAGE_INSTFILES

;--------------------------------
;Languages

  !insertmacro MUI_LANGUAGE "English"

;--------------------------------
;Installer Sections

Section "Install Section" SecInstall

  SetOutPath "$INSTDIR"

  File /r "..\"

SectionEnd

Section "Setup Section" SecSetup

  DetailPrint ""
  DetailPrint "Executing install script.."

  nsExec::ExecToLog 'php-win "$INSTDIR\setup\RCSCERT-install.php" "$INSTDIR\res\cert" "$INSTDIR\res\sign"'
  Pop $0

  StrCmp $0 0 0 +3
    MessageBox MB_ICONSTOP "Installation failed, please check log for details"
	Abort

  Return

SectionEnd

;--------------------------------
;Installer Functions

Function .onInit

  IfFileExists "C:\RCSDB\apache\htdocs\etc\RCSDB.ini" 0 +2
    Return

  MessageBox MB_ICONSTOP "You need RCSDB in order to install RCSCERT"
  Abort

FunctionEnd